%{?nodejs_find_provides_and_requires}

Name:           nodejs-config-chain
Version:        1.1.10
Release:        6%{?dist}
Summary:        Handle configuration once and for all

Group:          System Environment/Libraries
License:        MIT
URL:            https://github.com/dominictarr/config-chain
Source0:        https://registry.npmjs.org/config-chain/-/config-chain-%{version}.tgz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

BuildRequires:  npm(tap)
BuildRequires:  npm(ini)
BuildRequires:  npm(proto-list)

%description
Use this module to load all your configurations.


%prep
%autosetup -p 1 -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/config-chain
cp -pr package.json %{buildroot}%{nodejs_sitelib}/config-chain
install -p -m644 index.js %{buildroot}%{nodejs_sitelib}/config-chain


%check
%nodejs_symlink_deps --check
%tap test/


%files
%doc readme.markdown
%license LICENCE
%{nodejs_sitelib}/config-chain


%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.10-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.10-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jan 18 2016 Tom Hughes <tom@compton.nu> - 1.1.10-1
- Update to 1.1.10 upstream release

* Sun Jan 17 2016 Tom Hughes <tom@compton.nu> - 1.1.9-2
- Patch tests for changes in npm(ini)

* Sun Jan 17 2016 Tom Hughes <tom@compton.nu> - 1.1.9-1
- Update to 1.1.9 upstream release
- Enable tests

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jun 22 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.1.7-1
- new upstream release 1.1.7

* Sat Jun 22 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.1.5-3
- restrict to compatible arches

* Mon Apr 15 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.1.5-2
- add macro for EPEL6 dependency generation

* Sat Feb 09 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.1.5-1
- new upstream release 1.1.5

* Thu Jan 17 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.1.3-3
- fix permissions

* Tue Jan 08 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.1.3-2
- add missing build section

* Mon Dec 31 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.1.3-1
- initial package generated by npm2rpm
